package minica;

import minica.views.CertificateTreeView;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

/*
 * Copyright (c) 2007-2008 Bastian Neuburger Copyright (c) 2007-2008 Dominik Schulz Copyright (c) 2007-2008 Stephan
 * Heuser Copyright (c) 2007-2008 Sören Mess
 * 
 * This file is part of FlexiCA.
 * 
 * FlexiCA is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 * 
 * FlexiCA is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with FlexiCA; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA </pre>
 */
/**
 * The Perspective Class from RCP.
 * Sets the initial View.
 * @author ???
 *
 */
public class Perspective implements IPerspectiveFactory {
	IPageLayout	layout;

	public void createInitialLayout(IPageLayout layout) {
		this.layout = layout;
		layout.setEditorAreaVisible(true);
		layout.setFixed(true);
		layout.addStandaloneView(CertificateTreeView.ID, false, IPageLayout.LEFT, 0.50f, layout.getEditorArea());
	}

	public void displayCertificate(String input) {
	}
}
